Skip to main content
GET
/
conversations
/
custom-channels
/
2026-03
/
{channelId}
Get a custom channel
curl --request GET \
  --url https://api.hubapi.com/conversations/custom-channels/2026-03/{channelId}
{
  "capabilities": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "channelAccountConnectionRedirectUrl": "<string>",
  "channelDescription": "<string>",
  "channelLogoUrl": "<string>",
  "webhookUrl": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Path Parameters

channelId
integer<int32>
required

Response

successful operation

capabilities
object
required
createdAt
string<date-time>
required
id
string
required
name
string
required
channelAccountConnectionRedirectUrl
string
channelDescription
string
channelLogoUrl
string
webhookUrl
string
Last modified on March 30, 2026